function str = collapse(str)
% turn this_that_other into thisThatOther
unders = find(str == '_')+1;
str(unders) = str(unders) - (str(unders)>='a' & str(unders)<='z')*('a'-'A');
str = str(find(str ~= '_'));
